Name:           freelan
Version:        2.2
Release:        1%{?dist}
Summary:        Peer to Peer IP VPN

License:        GPLv3+
URL:            http://www.freelan.org/

Source0:        https://github.com/freelan-developers/%{name}/archive/refs/tags/%{name}-%{version}.tar.gz
Source1:        freelan.service

BuildRequires:  systemd, python-teapot, scons, gcc-c++, boost-devel, openssl-devel, libcurl-devel, miniupnpc-devel
Requires:       boost-thread, boost-system, boost-filesystem, boost-date-time, boost-program-options, boost-iostreams
Requires:       libcurl, openssl-libs, libidn, libssh2, nss, krb5-libs, xz-libs, pcre, nss-softokn-freebl, bzip2-libs, zlib
Requires:       miniupnpc


%description
Freelan is a free, open-source, multi-platform, peer-to-peer VPN software that
abstracts a LAN over the Internet. It works on Windows, Linux and Mac OSX.

Whether you want to connect the computers of your family, play an old LAN-only
game with your friends, or give a privileged access to your private network to
your collaborators, freelan will do the job perfectly.


%prep
%setup -q


%build
make %{?_smp_mflags}


%install
rm -rf %{buildroot}

# Freelan uses the scons build system which is pretty limiting and it doesn't
# properly work, so let's install the files we specifically care about.
mkdir -p %{buildroot}%{_bindir}/
cp build/release/bin/freelan %{buildroot}%{_bindir}

# Install example configuration file
mkdir -p %{buildroot}%{_sysconfdir}/freelan/
cp apps/freelan/config/freelan.cfg %{buildroot}%{_sysconfdir}/freelan/freelan.cfg 

# SystemD Service File
mkdir -p %{buildroot}%{_unitdir}
cp %SOURCE1 %{buildroot}%{_unitdir}/freelan.service


%files
%doc VERSION LICENSE README.md apps/freelan/CERTIFICATES.HOWTO.md
%attr(0644, root, root) %config(noreplace) %{_sysconfdir}/freelan/freelan.cfg
%attr(0644, root, root) %{_unitdir}/freelan.service
%attr(0755, root, root) %{_bindir}/freelan


%changelog
* Thu Jun  2 2022 Ernani Azevedo <azevedo@voipdomain.io> - 2.2-1
- Updated to release 2.2

* Thu Feb 26 2015 Jethro Carr <jethro.carr@jethrocarr.com> - 2.0.20150131git-2
- Fixed a mistake in the systemd init file

* Sat Jan 31 2015 Jethro Carr <jethro.carr@jethrocarr.com> - 2.0.20150131git-1
- Initial Build
